## gsl 2.1-8

=== DESCRIPTION ===
Package: gsl
Version: 2.1-8
Depends: R (>= 4.0.0)
Title: Wrapper for the Gnu Scientific Library
Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
             person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
             person(given="Duncan",family="Murdoch",role="ctb",comment="qrng functions"))
SystemRequirements: Gnu Scientific Library version >= 2.5
Description: 
 An R wrapper for some of the functionality of the
 Gnu Scientific Library.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-3
URL: https://github.com/RobinHankin/gsl
BugReports: https://github.com/RobinHankin/gsl/issues
NeedsCompilation: yes
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
  Andrew Clausen [ctb] (multimin functionality),
  Duncan Murdoch [ctb] (qrng functions)
Repository: CRAN
Date/Publication: 2023-01-24 20:30:02 UTC
Packaged: 2023-01-24 01:42:30 UTC; rhankin
