## gsl 2.1-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gsl
-Version: 2.1-8
-Depends: R (>= 4.0.0)
+Version: 2.1-9
+Depends: R (>= 4.5.0)
 Title: Wrapper for the Gnu Scientific Library
 Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
              person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
@@ -14,9 +14,10 @@
 URL: https://github.com/RobinHankin/gsl
 BugReports: https://github.com/RobinHankin/gsl/issues
 NeedsCompilation: yes
-Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
+Author: Robin K. S. Hankin [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-5982-0415>),
   Andrew Clausen [ctb] (multimin functionality),
   Duncan Murdoch [ctb] (qrng functions)
 Repository: CRAN
-Date/Publication: 2023-01-24 20:30:02 UTC
-Packaged: 2023-01-24 01:42:30 UTC; rhankin
+Packaged: 2025-11-10 08:15:06 UTC; rhankin
+Date/Publication: 2025-11-10 10:10:02 UTC
