## gsl 2.3+dfsg

=== debian/changelog ===
gsl (2.3+dfsg-1~bpo8+3) jessie-backports; urgency=medium

  * Fix dangling symlink for libgslcblas.so

 -- Andreas Tille <tille@debian.org>  Thu, 13 Apr 2017 09:20:21 +0200

gsl (2.3+dfsg-1~bpo8+2) jessie-backports; urgency=medium

  * Remove libgslcblas0 and depend on libgsl0dbl

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Apr 2017 10:25:33 +0200

gsl (2.3+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 17:19:35 +0100

gsl (2.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Dec 2016 14:16:35 -0600

gsl (2.2.1+dfsg-2) unstable; urgency=medium

  * debian/patches/dont-disable-deprecated: Re-apply first half of patch
    by Iain Lane to not disable deprecated functions (Closes: #841611)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Dec 2016 13:04:44 -0600

gsl (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version released 2016-08-31
  
  * doc/*.{texi,eps,info*,tex,bib,sty}: As before, removed files from the
    doc/ directory now containing only what Debian considers to be
    'non-free' documentation (ie texinfo pages) to create a source package
    that complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Sep 2016 17:28:37 -0500
