=== debian/control ===
Source: gsl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.8
Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf, libgsl0-dev
Homepage: http://www.gnu.org/software/gsl

Package: libgsl2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libgsl0ldbl (>= 1.9)
Conflicts: gsl, libgsl0
Replaces: gsl, libgsl0 (<= 1.9-4)
Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
Description: GNU Scientific Library (GSL) -- library package 
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 GSL includes data types and routines for complex numbers, vectors,
 matrices, basic linear algebra subroutines (BLAS), eigensystems,
 simulated annealing, minimization, root finding, pseudo-random
 numbers, least-squares fitting, fast Fourier transforms (FFT),
 differential equations, quadrature, Monte Carlo integration, special
 functions, physical constants, and much more.
 .
 This package provides the shared libraries required to run programs
 compiled with GNU GSL. To compile your own programs you also need to
 install libgsl0-dev.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl-dev
Section: libdevel
#Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
Architecture: any
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Conflicts: gsl-dev, libgsl0-dev
Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
Provides: libgsl0-dev
Description: GNU Scientific Library (GSL) -- development package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains the header files, static libraries and symbolic 
 links that developers using GNU GSL will need.
 .
 URL: http://www.gnu.org/software/gsl/

Package: gsl-bin
Section: math
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gsl
Replaces: gsl
Description: GNU Scientific Library (GSL) -- binary package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing 
 wrappers to be written for very high level languages.
 .
 This package provides several example binaries.
 .
 URL: http://www.gnu.org/software/gsl/

Package: libgsl-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Provides: libgsl0-dbg
Conflicts: libgsl0-dbg
Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
Description: GNU Scientific Library (GSL) -- debug symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains debugging symbol tables for the static  GSL libraries
 libgsl and libgslcblas from the libgsl0-dev package, and the binaries 
 gsl-randist and gsl-histogram from the gsl-bin package.
 .
 URL: http://www.gnu.org/software/gsl/


Package: libgsl-prof
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: libgsl0-prof
Conflicts: libgsl0-prof
Replaces: libgsl0-prof (<= 1.16+dfsg-4)
Depends: libgsl2 (= ${binary:Version}), ${misc:Depends}
Description: GNU Scientific Library (GSL) -- profiling symbols package
 The GNU Scientific Library (GSL) is a collection of routines for
 numerical analysis.  The routines are written from scratch by the GSL
 team in C, and present a modern API for C programmers, while allowing
 wrappers to be written for very high level languages.
 .
 This package contains static libraries compiled with profiling info (-pg)
 suitable for use with gprof.
 .
 URL: http://www.gnu.org/software/gsl/
