## gsl 2.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gsl package
-# Copyright (C) 1999 - 2015  Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
-sonum   := 2
+sonum   := 23
 #libpack := libgsl$(sonum)ldbl
 libpack := libgsl$(sonum)
+libcblas := libgslcblas0
 #devpack := $(libpack)-dev
 #devpack := libgsl$(sonum)-dev
 #dbgpack := libgsl$(sonum)-dbg
@@ -77,7 +78,7 @@
 INSTALLTARGET = install-prof-stamp
 BINARYTARGET = binary-prof
 CFLAGS += -pg
-export DH_OPTIONS =-N$(libpack) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
+export DH_OPTIONS =-N$(libpack) -N$(libcblas) -N$(devpack) -N$(binpack) -N$(dbgpack) -p$(profpack)
 else
 CONFIGTARGET = configure-stamp
 INSTALLTARGET = install-stamp
@@ -219,6 +220,7 @@
         #					debian/gsl-randist.1
         # move static libs into dev-package  and binaries into bin package
 	dh_install --sourcedir=debian/tmp -p$(libpack)
+	dh_install --sourcedir=debian/tmp -p$(libcblas)
 	dh_install --sourcedir=debian/tmp -p$(devpack) 
 	dh_install --sourcedir=debian/tmp -p$(binpack) 
 
@@ -258,4 +260,3 @@
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
 # affect _all_ packages. Anything you want to only affect one package
-# should be put in another target, such as the install target.
