## gsl 2.4+dfsg

=== debian/changelog ===
gsl (2.4+dfsg-6) unstable; urgency=medium

  * debian/control: Version is as 'Replaces: libgsl23 (<< 2.4+dfsg-4)'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 09 Aug 2017 10:07:24 -0500

gsl (2.4+dfsg-5) unstable; urgency=medium

  * debian/control: Add Replaces: libgsl23 to libgslcblas (Closes: #871269)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Aug 2017 09:37:37 -0500

gsl (2.4+dfsg-4) unstable; urgency=medium

  * debian/control: New package libgslcblas0 to contain the BLAS interface
    library which never changes ABI 			(Closes: #870772)
  * debian/control: Add Depends: libgslcblas0 to libgsl23 and libgsl-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2017 13:40:20 -0500

gsl (2.4+dfsg-3) unstable; urgency=medium

  * debian/control: New package libgsl23 matching current soname
  * debian/rules: libgsl2.* renamed to libgsl23.*
  * debian/libgsl23.shlib: Updated
  * configure.ac: Reverting previous change

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Jul 2017 06:59:12 -0500

gsl (2.4+dfsg-2) unstable; urgency=medium

  * configure.ac: Once again reset sonumber to 19 (Closes: #869778, #869695)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 26 Jul 2017 06:41:07 -0500

gsl (2.4+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Jul 2017 07:18:55 -0500
