=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
	ftp://ftp.gnu.org/gnu/gsl/gsl-([-0-9\.]*).tar.gz
