## gsl 2.5%2Bdfsg

=== debian/changelog ===
gsl (2.5+dfsg-6+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Amir Naseredini <amir.naseredini@canonical.com>  Fri, 03 Nov 2023 12:31:55 +0000

gsl (2.5+dfsg-6+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * A buffer overflow can occur when calculating the quantile value using the
    Statistics Library of GSL (GNU Scientific Library). Processing a
    maliciously crafted input data for gsl_stats_quantile_from_sorted_data of
    the library may lead to unexpected application termination or arbitrary
    code execution.

 -- Markus Koschany <apo@debian.org>  Thu, 21 Sep 2023 14:59:09 +0200

gsl (2.5+dfsg-6) unstable; urgency=medium

  * filter/rmedian.c: Renamed structure element delete to delete_oldest
  * movstat/apply.c: Idem
  * movstat/gsl_movstat.h: Idem				(Closes: #912341)
  
  * doc/gsl-randist.1: Applied patch suggested by Barak Pearlmutter
  							(Closes: #915539)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Nov 2018 20:45:48 -0600

gsl (2.5+dfsg-5) unstable; urgency=medium

  [ Steve Langasek ]
  * Makefile.am: Resolve underlinkage of libgslcblas (Closes: #907119)
  * debian/rules: Enforce current automake and autolocal for dh_autoreconf

  [ Dirk Eddelbuettel ]
  * debian/*: Applied Steve's patch, with thanks

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Aug 2018 20:30:39 -0500

gsl (2.5+dfsg-4) unstable; urgency=medium

  * debian/libgsl23.shlibs: Use correct suffix		(Closes: #902623)
  * debian/libgslcblas0.shlibs: Idem
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Jun 2018 13:38:17 -0500

gsl (2.5+dfsg-3) unstable; urgency=medium

  * Rebuilding for unstable
  
  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jun 2018 05:09:48 -0500

gsl (2.5+dfsg-2) experimental; urgency=medium

  * debian/patches/series: Reactivate 'dont-disable-deprecated' to provide
    otherwise deprecated symbols for the Perl GSL package (Closes: #902281)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jun 2018 07:45:08 -0500

gsl (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * configure.ac: Once again do no mark deprecated functions as such

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 Jun 2018 18:13:23 -0500
