=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: gawk | awk, debhelper (>= 9), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9), dh-autoreconf
-Homepage: http://www.gnu.org/software/gsl
+Standards-Version: 4.1.4
+Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
+Vcs-Browser: https://salsa.debian.org/edd/gsl
+Vcs-Git: https://salsa.debian.org/edd/gsl.git
+Homepage: https://www.gnu.org/software/gsl
 
 Package: libgsl23
 Section: libs
@@ -100,7 +102,7 @@
 
 Package: libgsl-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
@@ -120,23 +122,23 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-Package: libgsl-prof
-Section: libdevel
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Provides: libgsl0-prof
-Conflicts: libgsl0-prof
-Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
-Description: GNU Scientific Library (GSL) -- profiling symbols package
- The GNU Scientific Library (GSL) is a collection of routines for
- numerical analysis.  The routines are written from scratch by the GSL
- team in C, and present a modern API for C programmers, while allowing
- wrappers to be written for very high level languages.
- .
- This package contains static libraries compiled with profiling info (-pg)
- suitable for use with gprof.
- .
- URL: http://www.gnu.org/software/gsl/
+#Package: libgsl-prof
+#Section: libdevel
+#Priority: optional
+#Architecture: any
+#Multi-Arch: same
+#Pre-Depends: ${misc:Pre-Depends}
+#Provides: libgsl0-prof
+#Conflicts: libgsl0-prof
+#Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+#Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+#Description: GNU Scientific Library (GSL) -- profiling symbols package
+# The GNU Scientific Library (GSL) is a collection of routines for
+# numerical analysis.  The routines are written from scratch by the GSL
+# team in C, and present a modern API for C programmers, while allowing
+# wrappers to be written for very high level languages.
+# .
+# This package contains static libraries compiled with profiling info (-pg)
+# suitable for use with gprof.
+# .
+# URL: http://www.gnu.org/software/gsl/
