## gsl 2.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -122,23 +122,23 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-#Package: libgsl-prof
-#Section: libdevel
-#Priority: optional
-#Architecture: any
-#Multi-Arch: same
-#Pre-Depends: ${misc:Pre-Depends}
-#Provides: libgsl0-prof
-#Conflicts: libgsl0-prof
-#Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-#Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
-#Description: GNU Scientific Library (GSL) -- profiling symbols package
-# The GNU Scientific Library (GSL) is a collection of routines for
-# numerical analysis.  The routines are written from scratch by the GSL
-# team in C, and present a modern API for C programmers, while allowing
-# wrappers to be written for very high level languages.
-# .
-# This package contains static libraries compiled with profiling info (-pg)
-# suitable for use with gprof.
-# .
-# URL: http://www.gnu.org/software/gsl/
+Package: libgsl-prof
+Section: libdevel
+Priority: optional
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: libgsl0-prof
+Conflicts: libgsl0-prof
+Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Description: GNU Scientific Library (GSL) -- profiling symbols package
+ The GNU Scientific Library (GSL) is a collection of routines for
+ numerical analysis.  The routines are written from scratch by the GSL
+ team in C, and present a modern API for C programmers, while allowing
+ wrappers to be written for very high level languages.
+ .
+ This package contains static libraries compiled with profiling info (-pg)
+ suitable for use with gprof.
+ .
+ URL: http://www.gnu.org/software/gsl/
