## gsl 2.6+dfsg

=== debian/changelog ===
gsl (2.6+dfsg-2) unstable; urgency=medium

  * Rebuilding for transition and upload to unstable

  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 May 2020 07:46:17 -0500

gsl (2.6+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * debian/control: New package libgsl25 (replacing libgsl23)

  * debian/*: Renamed files reflecting so23 to so25, update to 2.6
  * debian/libgslcblas0.shlibs: Increase minimum version to 2.6

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Sep 2019 05:55:49 -0500
