=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
 
-Package: libgsl23
+Package: libgsl25
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -68,7 +68,7 @@
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl23 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: gsl-dev, libgsl0-dev
 Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
 Provides: libgsl0-dev
@@ -105,7 +105,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
 Provides: libgsl0-dbg
 Conflicts: libgsl0-dbg
 Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
@@ -131,7 +131,7 @@
 Provides: libgsl0-prof
 Conflicts: libgsl0-prof
 Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl23 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
 Description: GNU Scientific Library (GSL) -- profiling symbols package
  The GNU Scientific Library (GSL) is a collection of routines for
  numerical analysis.  The routines are written from scratch by the GSL
