=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
-sonum   := 23
+sonum   := 25
 #libpack := libgsl$(sonum)ldbl
 libpack := libgsl$(sonum)
 libcblas := libgslcblas0
@@ -56,7 +56,7 @@
 	DEBUGFLAGS += -O2
 endif
 
-# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as 
+# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as
 #                   'make check' as gcc hangs in cblas/ after test_ger.c
 # edd 05 Jul 2014:  add dpkg-buildflags call
 CFLAGS	   :=-Wall -pipe -fexceptions -D_REENTRANT $(DEBUGFLAGS) $(shell dpkg-buildflags --get CFLAGS)
@@ -71,7 +71,7 @@
 
 
 #setting DEB_BUILD_OPTIONS=buildprof means we build a package
-#consisting of static libraries (renamed to libfoo_p.a) with 
+#consisting of static libraries (renamed to libfoo_p.a) with
 #profiling information in.
 ifneq (,$(findstring buildprof,$(DEB_BUILD_OPTIONS)))
 CONFIGTARGET = configure-prof-stamp
@@ -87,7 +87,7 @@
 endif
 
 upstream: get-orig-source
-get-orig-source: 
+get-orig-source:
         #lynx ftp://sources.redhat.com/pub/gsl
         #lynx http://mirrors.rcn.net/pub/sourceware/gsl
 	lynx http://www.network-theory.co.uk/download/gsl
@@ -104,7 +104,7 @@
 	#[ -d doc ] || mkdir doc
 	#cp -vax debian/Makefile.in.doc doc/Makefile.in
 
-	dh_autoreconf
+	AUTOMAKE=automake ACLOCAL=aclocal dh_autoreconf
 	./configure 	CFLAGS="$(CFLAGS)" 		\
 			LDFLAGS="$(LDFLAGS)"		\
 			--prefix=/usr 			\
@@ -112,14 +112,15 @@
 			--enable-shared 		\
 			--enable-static 		\
 			--with-gnu-ld 			\
-			$(CONFFLAGS) 			
+			--enable-maintainer-mode	\
+			$(CONFFLAGS)
 
         # patch libtool re rpath (see lintian docu)
 	sed < libtool > libtool-2 \
 			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 	mv libtool-2 libtool
-	chmod 755 libtool            
+	chmod 755 libtool
         # end libtool rpath patch
 	touch configure-stamp
 
@@ -130,13 +131,13 @@
 
 	#[ -d doc ] || mkdir doc
 	#cp -vax debian/Makefile.in.doc doc/Makefile.in
-	dh_autoreconf
+	AUTOMAKE=automake ACLOCAL=aclocal dh_autoreconf
 	./configure 	CFLAGS="$(CFLAGS)" 		\
 			--prefix=/usr 			\
 			--disable-shared 		\
 			--enable-static 		\
 			--with-gnu-ld 			\
-			$(CONFFLAGS) 			
+			$(CONFFLAGS)
 	touch configure-prof-stamp
 
 
@@ -145,7 +146,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE)	
+	$(MAKE)
 	touch build-stamp
 
 build-doc: build-doc-stamp
@@ -153,30 +154,30 @@
 	dh_testdir
 	touch build-doc-stamp
 
-deprecated-non-free-doc:
-        # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
-        #cd doc && $(MAKE) ps
-        # make pdf
-        ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757 
-	cd doc && \
-	   cp -p randist.texi randist.texi.orig && \
-	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
-	     randist.texi.orig > randist.texi && \
-	   for i in rand-*.tex random-walk.tex ; do \
-	     echo Converting $$i to eps; \
-	     j=`basename $$i .tex`; \
-	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
-	     dvips $$j; \
-	     ps2eps -f $$j.ps; \
-	   done && \
-	   for i in *.eps; do \
-	     echo Converting $$i to pdf... && epstopdf $$i ; \
-	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
-        # edd 23 Mar 2006  'make pdf' is now inactive upstream
-	touch build-doc-stamp
+# deprecated-non-free-doc:
+#         # make ps files -- skip as we ship the upstream one in gsl-ref-psdoc
+#         #cd doc && $(MAKE) ps
+#         # make pdf
+#         ## edd 10 Apr 2005  added patch by Guiseppe Bonacci for #303757
+# 	cd doc && \
+# 	   cp -p randist.texi randist.texi.orig && \
+# 	   sed 's/^.*\\input \(rand.*\)\.tex.*$$/@end tex\n@center @image{\1}\n@tex/' \
+# 	     randist.texi.orig > randist.texi && \
+# 	   for i in rand-*.tex random-walk.tex ; do \
+# 	     echo Converting $$i to eps; \
+# 	     j=`basename $$i .tex`; \
+# 	     tex "\batchmode\nopagenumbers\input $$j\bye"; \
+# 	     dvips $$j; \
+# 	     ps2eps -f $$j.ps; \
+# 	   done && \
+# 	   for i in *.eps; do \
+# 	     echo Converting $$i to pdf... && epstopdf $$i ; \
+# 	   done && $(MAKE) ps && ps2pdf gsl-ref.ps
+#         # edd 23 Mar 2006  'make pdf' is now inactive upstream
+# 	touch build-doc-stamp
 
 test:	build test-stamp
-test-stamp: 
+test-stamp:
 	-$(MAKE) check CFLAGS="$(CFLAGSnog)" | grep -C5 -v '^PASS:'
 	touch test-stamp
 
@@ -195,7 +196,7 @@
 	rm -rf $(debtmp) $(debprof)
 
 install: test $(INSTALLTARGET)
-install-stamp: 
+install-stamp:
 	$(MAKE) -f debian/rules DH_OPTIONS= install-work
 install-work:
 	dh_testdir
@@ -209,7 +210,7 @@
 		mandir=$(debtmp)/usr/share/man		install
         # deal with automake / install-info issue #215538
 	rm -vf	$(debtmp)/usr/share/info/dir 		\
-		$(debtmp)/usr/share/info/dir.old 	
+		$(debtmp)/usr/share/info/dir.old
         # purify for DFSG compliance and delete (!!) documentation
 	rm -rvf	$(debtmp)/usr/share/info
         # deal with libtool leftover .la files (#245556)
@@ -221,8 +222,8 @@
         # move static libs into dev-package  and binaries into bin package
 	dh_install --sourcedir=debian/tmp -p$(libpack)
 	dh_install --sourcedir=debian/tmp -p$(libcblas)
-	dh_install --sourcedir=debian/tmp -p$(devpack) 
-	dh_install --sourcedir=debian/tmp -p$(binpack) 
+	dh_install --sourcedir=debian/tmp -p$(devpack)
+	dh_install --sourcedir=debian/tmp -p$(binpack)
 
         # lintian silencer for the 'ldbl' transition package
 	dh_installdirs -p$(libpack) usr/share/lintian/overrides
@@ -258,5 +259,3 @@
 	install -m 0644 doc/gsl-ref.pdf  $(debdoc)/usr/share/doc/$(docpack)
 
 # This single target is used to build all the packages, all at once, or
-# one at a time. So keep in mind: any options passed to commands here will
-# affect _all_ packages. Anything you want to only affect one package
