## gsl 2.7+dfsg

=== debian/changelog ===
gsl (2.7+dfsg-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Aug 2021 06:44:34 -0500

gsl (2.7+dfsg-1) experimental; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version

  * doc/*.{rst,texi,info}: As before, removed files from the doc/
    directory now containing what Debian considers to be 'non-free'
    documentation (ie texinfo pages) to create a source package that
    complies with Debian's interpretation of what is free.
  * doc/Makefile.am: Made all targets apart from man files 'empty'

  * debian/patches/series: Retain previously deployed patches to
     - correct underlinkage of libgslcblas via Makefile.am
     - correct randist example in its manual page 
    but retire patches to
     - not deprecate symbols (changed upstream)
     - rename 'delete' node (now in upstream)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Jun 2021 07:21:28 -0500
