=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: gawk | awk, debhelper (>= 10), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
+Standards-Version: 4.5.1
+Build-Depends: gawk | awk, debhelper-compat (= 12), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
@@ -122,23 +122,3 @@
  URL: http://www.gnu.org/software/gsl/
 
 
-Package: libgsl-prof
-Section: libdevel
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Provides: libgsl0-prof
-Conflicts: libgsl0-prof
-Replaces: libgsl0-prof (<= 1.16+dfsg-4)
-Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
-Description: GNU Scientific Library (GSL) -- profiling symbols package
- The GNU Scientific Library (GSL) is a collection of routines for
- numerical analysis.  The routines are written from scratch by the GSL
- team in C, and present a modern API for C programmers, while allowing
- wrappers to be written for very high level languages.
- .
- This package contains static libraries compiled with profiling info (-pg)
- suitable for use with gprof.
- .
- URL: http://www.gnu.org/software/gsl/
