=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #                                                       -*- makefile -*-
 # debian/rules file for the Debian/GNU Linux gsl package
-# Copyright (C) 1999 - 2017  Dirk Eddelbuettel <edd@debian.org>
+# Copyright (C) 1999 - 2021  Dirk Eddelbuettel <edd@debian.org>
 
 source  := $(shell head -1 debian/changelog | awk '{print $$1}')
 sonum   := 25
@@ -227,8 +227,8 @@
 
         # lintian silencer for the 'ldbl' transition package
 	dh_installdirs -p$(libpack) usr/share/lintian/overrides
-	install -m0644 debian/$(libpack).overrides \
-		$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)
+	#install -m0644 debian/$(libpack).overrides \
+	#	$(CURDIR)/debian/$(libpack)/usr/share/lintian/overrides/$(libpack)
 
 	touch install-stamp
