## gsl 2.7.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: gsl
 Section: math
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Standards-Version: 4.6.2
 Build-Depends: gawk | awk, debhelper-compat (= 12), gcc (>= 4:4.0), binutils (>= 2.12.90.0.9)
 Vcs-Browser: https://salsa.debian.org/edd/gsl
 Vcs-Git: https://salsa.debian.org/edd/gsl.git
 Homepage: https://www.gnu.org/software/gsl
 
-Package: libgsl25
+Package: libgsl27
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgslcblas0 (= ${binary:Version})
 Conflicts: gsl, libgsl0, libgsl0ldbl
+Breaks: libgsl25
 Replaces: gsl, libgsl0 (<= 1.9-4), libgsl0ldbl (<= 1.16+dfsg-4)
 Suggests: gsl-ref-psdoc | gsl-doc-pdf | gsl-doc-info | gsl-ref-html
 Description: GNU Scientific Library (GSL) -- library package 
@@ -68,7 +70,7 @@
 Section: libdevel
 #Multi-Arch: same -- TODO resolve /usr/bin/gsl-config issue
 Architecture: any
-Depends: libgsl25 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl27 (= ${binary:Version}), libgslcblas0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: gsl-dev, libgsl0-dev
 Replaces: gsl-dev, libgsl0 (<= 1.9-4), libgsl0-dev (<= 1.16+dfsg-4)
 Provides: libgsl0-dev
@@ -105,7 +107,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-Depends: libgsl25 (= ${binary:Version}), ${misc:Depends}
+Depends: libgsl27 (= ${binary:Version}), ${misc:Depends}
 Provides: libgsl0-dbg
 Conflicts: libgsl0-dbg
 Replaces: libgsl0-dbg (<= 1.16+dfsg-4)
@@ -121,4 +123,25 @@
  .
  URL: http://www.gnu.org/software/gsl/
 
+Package: libgsl-prof
+Section: libdevel
+Priority: optional
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: libgsl0-prof
+Conflicts: libgsl0-prof
+Replaces: libgsl0-prof (<= 1.16+dfsg-4)
+Depends: libgsl27 (= ${binary:Version}), ${misc:Depends}
+Build-Profiles: <pkg.gsl.prof>
+Description: GNU Scientific Library (GSL) -- profiling symbols package
+ The GNU Scientific Library (GSL) is a collection of routines for
+ numerical analysis.  The routines are written from scratch by the GSL
+ team in C, and present a modern API for C programmers, while allowing
+ wrappers to be written for very high level languages.
+ .
+ This package contains static libraries compiled with profiling info (-pg)
+ suitable for use with gprof.
+ .
+ URL: http://www.gnu.org/software/gsl/
